Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.binaries.model
[Java] Interface CompilerRegistry

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.plugins.binaries.model.CompilerRegistry
          org.gradle.api.NamedDomainObjectSet
              java.lang.Iterable
                  org.gradle.api.DomainObjectCollection
                      java.util.Collection

All Superinterfaces:
  NamedDomainObjectCollection, NamedDomainObjectSet, Iterable, DomainObjectCollection, Collection

    public interface CompilerRegistry
    extends NamedDomainObjectSet

A container for compiler adapters

Method Summary
`Compiler` | `getDefaultCompiler()` Somehow picks what the default compiler to use is.

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Methods inherited from interface NamedDomainObjectCollection
add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getRules, matching, matching, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Method Detail

### getDefaultCompiler

    public Compiler getDefaultCompiler()

  Somehow picks what the default compiler to use is.
  Returns:
    null when there is no default compiler available.

Gradle API 1.1-rc-1